#!/usr/bin/env bash

[[ -z $1 ]] && echo 'No arguments specified' && exit 1

if [[ -d $1 ]]; then
    cd "$1"
else
    echo 'Specified path does not exist' && exit 1
fi

folders=("audio" "thumbnails" "metadata" "descriptions")

for folder in "${folders[@]}"; do
    [[ ! -d $folder ]] && mkdir "$folder"
done

mv *.opus audio > /dev/null 2>&1
mv *.jpg thumbnails > /dev/null 2>&1
mv *.jpeg thumbnails > /dev/null 2>&1
mv *.png thumbnails > /dev/null 2>&1
mv *.webp thumbnails > /dev/null 2>&1
mv *.info.json metadata > /dev/null 2>&1
mv *.description descriptions > /dev/null 2>&1